Subject: Re: Using PAM an the SSH Protocol

From: [email-masked] (Sami J. Lehtinen)
Date: 08 Feb 2002 14:49:48 +0200

[email-masked] (Darren Moffat) writes:

> >keyboard-interactive is capable of fully interacting with PAM.  It was,
> >in fact, designed based on an sshd using PAM.  Is "[email-masked]" still
> >in use?  That would be most unfortunate, it breaks one of the things
> >kbdint was meant to solve: client knowledge of the authentication
> >mechanism.
> 
> I believe that [email-masked] is still in use.  If some one from SSH 
> Communications is listening can you tells us if you plan to rectify this ?

Yes, the next version will support PAM over keyboard-interactive.

-- 
[[email-masked]          --  Sami J. Lehtinen  --           [email-masked]]
[work:+358 20 5007425][gsm:+358 40 864 3001][http://www.iki.fi/~sjl]
[SSH Communications Security Corp               http://www.ssh.com/]